> For the complete documentation index, see [llms.txt](https://docs.videsk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videsk.io/es-developers/integraciones/kioscos/electron.md).

# Electron

## Politicas de autoplay

Electron al estar basado en Chromium trae consigo la política de autoreproducción restringida, que limita reproducir videos y audios solo cuando existe un clic por parte de un usuario.

Por ello, recomendamos desactivar esta restricción de la siguiente manera:

### Opción 1 (BrowserWindow)

{% code lineNumbers="true" %}

```javascript
const { BrowserWindow } = require('electron');

const mainWindow = new BrowserWindow({
  width: 1200,
  height: 800,
  webPreferences: {
    // Desactiva las políticas de autoplay
    autoplayPolicy: 'no-user-gesture-required',
  }
});
```

{% endcode %}

### Opción 2 (commandLine)

{% code lineNumbers="true" %}

```javascript
const { app } = require('electron');

app.commandLine.appendSwitch('autoplay-policy', 'no-user-gesture-required');
app.commandLine.appendSwitch('disable-features', 'MediaEngagementBypassAutoplayPolicies');
app.commandLine.appendSwitch('disable-background-media-suspend');
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videsk.io/es-developers/integraciones/kioscos/electron.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
